package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.vo.ExperimentalReportVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@Api(value = "用户端班级实验", tags = "用户端班级实验信息")
public interface ClassTeachingApi {
    @ApiOperation(value = "通过邀请码进入实验",notes = "通过邀请码进入实验")
    R joinPractice(ExperimentalTeachingEntity entity1);

    @ApiOperation(value = "查询班级实验列表信息",notes = "查询班级实验列表信息")
    R queryTestRecord(Integer page, Integer size, Integer month, String startTime, String endTime,
                       String condition, Integer status,Integer schoolId);

    @ApiOperation(value = "查看虚拟仿真课程列表",notes = "查看虚拟仿真课程列表")
    R querySimulationPlayList(Integer page,Integer size);

    @ApiOperation(value = "校验是否需要邀请码",notes = "校验是否需要邀请码")
    R check(@ApiParam(value = "用户id",required = true) Integer userId,@ApiParam(value = "项目id",required = true) Integer projectId);

    @ApiOperation(value = "查看教学实验报告",notes = "查看教学实验报告")
    R queryExperimentalReport(@ApiParam(value = "学生id",required = true) Integer studentId,
                              @ApiParam(value = "实验id",required = true) Integer projectId,
                              @ApiParam(value = "实验记录主键",required = true) Integer recordId,
                              @ApiParam(value = "实验报告主键",required = true) Integer reportId);

    @ApiOperation(value = "查看虚拟实验报告",notes = "查看虚拟实验报告")
    R queryVirtualReport(@ApiParam(value = "实验记录主键",required = true) Integer recordId);
}
