package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.vo.EvaluationRecordVO;
import com.msdw.tms.entity.vo.TMSEvaluationRecordVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.concurrent.ExecutionException;


/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
@Api(value = "用户测评信息记录与操作", tags = "提供用户测评信息增删改查等相关方法")
public interface EvaluationRecordControllerApi {
//    /**
//     * 查询是否有为作完的测评
//     */
//    @ApiOperation(value = "查询是否有为作完的测评", notes = "查询是否有为作完的测评")
//    R hasNotMadeEvaluation(Integer userId);

//    /**
//     * 清空倒计时
//     */
//    @ApiOperation(value = "清空倒计时", notes = "清空倒计时")
//    R cleanRemainingTime(Integer userId);

    /**
     * 获取测评剩余时间
     */
    @ApiOperation(value = "获取测评剩余时间", notes = "获取测评剩余时间")
    R getEvaluationRemainingTime(Integer userId);

    /**
     * 开始测评，返回第一题的数据
     */
    @ApiOperation(value = "开始测评", notes = "开始测评")
    R startEvaluation(Integer userId);

    /**
     * 上一题
     */
    @ApiOperation(value = "上一题", notes = "上一题")
    R previousQuestion(TMSEvaluationRecordVO evaluationRecordVO) throws ExecutionException, InterruptedException;

    /**
     * 下一题
     */
    @ApiOperation(value = "下一题", notes = "下一题")
    R nextQuestion(TMSEvaluationRecordVO evaluationRecordVO) throws ExecutionException, InterruptedException;

    /**
     * 提交之前查询是否还有未做完的试题
     */
    @ApiOperation(value = "提交之前查询是否还有未做完的试题", notes = "提交之前查询是否还有未做完的试题")
    R selectNotMade(Integer evaluationRecordId);

    /**
     * 提交测评
     */
    @ApiOperation(value = "提交测评", notes = "提交测评")
    R submitEvaluation(TMSEvaluationRecordVO evaluationRecordVO) throws ExecutionException, InterruptedException;

    /**
     * 成绩详情
     */
    @ApiOperation(value = "成绩详情", notes = "成绩详情")
    R evaluationScoreDetail(Integer evaluationRecordId) throws ExecutionException, InterruptedException;

    /**
     * 查询是否能够开启实验
     */
//    @ApiOperation(value = "查询是否能够开启实验", notes = "查询是否能够开启实验")
//    R isOpenExperiment(Integer userId);

    @ApiOperation(value = "查询是否能开启虚拟仿真实验",notes = "查询是否能开启虚拟仿真实验")
    R isOpenExercise(Integer userId);

    @ApiOperation(value = "查询是否能开启教学实验",notes = "查询是否能开启教学实验")
    R isOpenTeaching(Integer userId);
}
