package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ExperimentalProjectEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@Api(value = "实验项目",tags = "实验项目")
public interface ExperimentalProjectControllerApi {

    @ApiOperation(value = "实验项目列表",notes = "实验项目列表查询")
    R list(@ApiParam(name = "page", value = "页码", required = true) Integer page,
           @ApiParam(name = "size", value = "每页显示的数据条数", required = true) Integer size,
           @ApiParam(name = "roleId", value = "创建人角色", required = false) Integer roleId,
           @ApiParam(name = "status", value = "状态：1、草稿箱 2、已发布", required = false) Integer status,
           @ApiParam(name = "experimentalProjectName", value = "根据项目名称搜索内容", required = false) String experimentalProjectName);

    @ApiOperation(value = "添加实验项目",notes = "添加实验项目")
    R save(ExperimentalProjectEntity experimentalProjectEntity);

    @ApiOperation(value = "修改实验项目",notes = "修改实验项目")
    R update(ExperimentalProjectEntity ExperimentalProjectEntity);

    @ApiOperation(value = "删除实验项目",notes = "删除实验项目")
    R delete(Integer[] ids);

    @ApiOperation(value = "根据id查询实验项目详情",notes = "根据id查询实验项目详情")
    R getById(Integer id);

    @ApiOperation(value = "根据实验项目名称查询",notes = "根据实验项目名称查询")
    R getExperimentalProjectName(String experimentalProjectName);

}
