package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

import java.text.ParseException;

@Api(value = "实验教学",tags = "实验教学")
public interface ExperimentalTeachingControllerApi {

    @ApiOperation(value = "实验教学列表",notes = "实验教学列表查询")
    R list(@ApiParam(name = "page", value = "页码", required = true) Integer page,
           @ApiParam(name = "size", value = "每页显示的数据条数", required = true) Integer size,
           @ApiParam(name = "month", value = "月份：1、近一个月内 3、近三个月内 6、近六个月内", required = false) Integer month,
           @ApiParam(name = "type", value = "类型：1、手动发布 2、定时发布", required = false) Integer type,
           @ApiParam(name = "status", value = "状态：1、待开始 2、进行中 3、已结束", required = false) Integer status,
           @ApiParam(name = "systemId", value = "系统id", required = false) Integer systemId,
           @ApiParam(name = "startTime", value = "开始时间", required = false) String startTime,
           @ApiParam(name = "stopTime", value = "结束时间", required = false) String stopTime,
           @ApiParam(name = "searchContent", value = "搜索内容", required = false) String searchContent,
           @ApiParam(name = "schoolId", value = "学校id", required = true) Integer schoolId);

    @ApiOperation(value = "添加实验教学",notes = "添加实验教学")
    R save(ExperimentalTeachingEntity experimentalTeachingEntity) throws ParseException;

    @ApiOperation(value = "修改用户个人档案",notes = "修改用户个人档案")
    R update(ExperimentalTeachingEntity experimentalTeachingEntity) throws ParseException;

    @ApiOperation(value = "删除用户个人档案",notes = "删除用户个人档案")
    R delete(Integer[] ids);

    @ApiOperation(value = "根据id查询教学详情",notes = "根据id查询教学详情")
    R getById(Integer id);

    @ApiOperation(value = "查询邀请码是否存在",notes = "查询邀请码是否存在")
    R getInvitationCode(Integer invitationCode);

    @ApiOperation(value = "校验实验名称是否重复", notes = "校验实验名称是否重复")
    R checkExperimentalName(String experimentalName);
}
