package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ProjectRecordEntity;
import com.msdw.tms.entity.vo.ProjectRecordVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Api(value = "实验报告",tags = "实验报告")
public interface ProjectRcordControllerApi {

    @ApiOperation(value = "服务端实验报告",notes = "服务端实验报告")
    R list( Integer page,  Integer size,Integer month,String startTime,String endTime,
            Integer recordState,String condition);

    @ApiOperation(value = "科大用户端虚拟仿真实验记录",notes = "用户端虚拟仿真实验记录")
    R kdRecord(Integer page,Integer size,Integer userId,Integer projectPermissions,Integer systemId);


    @ApiOperation(value = "用户端虚拟仿真实验记录",notes = "用户端虚拟仿真实验记录")
    R queryUserRecord(Integer page,Integer size,Integer userId,Integer projectPermissions,Integer systemId);

    @ApiOperation(value = "用户端教学实验记录",notes = "用户端教学实验记录")
    R getUserExperimentscore(Integer page,Integer size,Integer userid,  Integer systemId);

    @ApiOperation(value = "个人实验概览",notes = "个人实验概览")
    R queryScore(Integer userId);

    @ApiOperation(value = "个人实验概览",notes = "个人实验概览")
    R getUserScore(Integer userid);

    @ApiOperation(value = "个人虚拟仿真实验记录导出",notes = "个人虚拟仿真实验记录导出")
    void exportProjectRecord(HttpServletResponse response,Integer userId)throws Exception;

    @ApiOperation(value = "个人教学实验记录导出",notes = "个人教学实验记录导出")
    void exportExperimentProjectRecord(HttpServletResponse response,Integer userId)throws Exception;
//    @ApiOperation(value = "个人实验记录导出",notes = "个人实验记录导出")
//    void exportProjectRecord(HttpServletResponse response,Integer userId)throws Exception;

    @ApiOperation(value = "修改实验报告分数",notes = "修改实验报告分数")
    R update(ProjectRecordEntity projectRecord);

    @ApiOperation(value = "删除实验报告",notes = "删除实验报告")
    R delete(Integer[] recordids);
}
