package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.vo.StudentVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@Api(value = "学生管理", tags = "学生管理")
public interface StudentControllerApi {

    @ApiOperation(value = "新增学生",notes = "新增学生")
    public R addStudent(@RequestBody StudentVo studentVo);

    @ApiOperation(value = "新增学生",notes = "新增学生")
    public R zzAddStudent(@RequestBody StudentVo studentVo);

    @ApiOperation(value = "学生列表信息",notes = "学生列表信息")
    public R queryStudent(Integer schoolId, String seachContent, Integer page, Integer size);

    @ApiOperation(value = "查询学生详情",notes = "查询学生详情")
    public R queryStudentDetails(Integer userId);

    @ApiOperation(value = "删除学生",notes = "删除学生")
    public R daleteStudent(List<Integer> studentId);

    @ApiOperation(value = "编辑学生信息",notes = "编辑学生信息")
    public R updateStudent(StudentVo studentVo);

    @ApiOperation(value = "重置密码",notes = "重置密码")
    public R reSetPassword(List<Integer> userId);

    @ApiOperation(value = "禁用账号",notes = "禁用账号")
    public R disableAccount(StudentVo studentIds);

    @ApiOperation(value = "下载导入模板", notes = "下载导入模板")
    public R downloadFiles(HttpServletResponse response) throws IOException;

    @ApiOperation(value = "批量导入学生信息",notes = "批量导入学生信息")
    public R uploadFile(MultipartFile file) throws IOException;

    @ApiOperation(value = "导入学生失败原因导出",notes = "导入学生失败原因导出")
    public void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    @ApiOperation(value = "查询账号信息",notes = "查询账号信息")
    public R queryAccount(String account,Integer schoolId);
}
