package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.vo.StaffVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@Api(value = "系统设置",tags = "系统设置")
public interface SystemSetttingApi {

    @ApiOperation(value = "新增员工",notes = "新增员工")
    public R addStaff(StaffVo staffVo);

    @ApiOperation(value = "员工列表",notes = "员工列表信息")
    public R queryStaff(StaffVo staffVo);

    @ApiOperation(value = "查看员工详情",notes = "查看员工详情")
    public R querystaffDetail(Integer userId);

    @ApiOperation(value = "编辑员工信息",notes = "编辑员工信息")
    public R updateStaff(StaffVo staffVo);

    @ApiOperation(value = "删除员工信息",notes = "删除员工信息")
    public R deleteStaff(StaffVo staffVo);

    @ApiOperation(value = "批量删除员工信息",notes = "批量删除员工信息")
    public R daleteBatchStaff( List<Integer> userIds);

    @ApiOperation(value = "新增部门",notes = "新增部门")
    public R addDepartment( StaffVo staffVo);

    @ApiOperation(value = "员工信息导入模板下载",notes = "员工信息导入模板下载")
    public R downloadFiles(HttpServletResponse response) throws IOException;

    @ApiOperation(value = "导入员工信息",notes = "导入员工信息")
    public R importStaff(MultipartFile file) throws IOException;

    @ApiOperation(value = "导入员工失败原因导出",notes = "导入员工失败原因导出")
    public void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    @ApiOperation(value = "查询账号信息",notes = "查询账号信息")
    public R queryAccount(String account,Integer schoolId);


}


