package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.UserEntity;
import com.msdw.tms.entity.vo.CheckVo;
import com.msdw.tms.entity.vo.UserEntityVo;
import com.msdw.tms.entity.vo.UserProsonalEntityVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@Api(value = "用户个人中心",tags = "用户个人中心信息展示，信息修改")
public interface UserControllerApi {

    @ApiOperation(value = "个人中心信息展示",notes = "个人中心信息展示")
    R userInfo(Integer id);

    @ApiOperation(value = "个人中心信息修改",notes = "个人中心信息修改")
    R update(UserProsonalEntityVo userProsonalEntityVo);

    @ApiOperation(value = "更新密码",notes = "更新密码")
    R examinePassword(UserEntityVo entity);

    @ApiOperation(value = "发送邮箱验证码", notes = "发送邮箱验证码")
    public R sendEmailCode(CheckVo checkVo);

    @ApiOperation(value = "邮箱验证并更新",notes = "邮箱验证并更新")
    public R bindEmail(CheckVo checkVo);

    @ApiOperation(value = "发送手机验证码",notes = "发送手机验证码")
    R sendPhoneCode(CheckVo checkVo);

    @ApiOperation(value = "校验手机验证码",notes = "校验手机验证码")
    R bindPhone(CheckVo checkVo);
}
