package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.UserEntity;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.CheckVo;
import com.msdw.tms.entity.vo.UserEntityVo;
import com.msdw.tms.entity.vo.UserProsonalEntityVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@Api(value = "用户管理",tags = "用户管理")
public interface UserInfoControllerApi {

//    @ApiOperation(value = "个人中心信息修改",notes = "个人中心信息修改")
//    R update(UserInfoEntity userEntity);

    @ApiOperation(value = "根据token获取用户id",notes = "根据token获取用户id")
    R getUserId(String token);

    @ApiOperation(value = "注册",notes = "注册")
    R save(UserInfoEntity entity,@ApiParam(value = "学号",required = true)String workNumber);

    @ApiOperation(value = "注册",notes = "注册")
    R zzAdd(UserInfoEntity entity,@ApiParam(value = "学号",required = true)String workNumber);

    @ApiOperation(value = "个人中心信息展示",notes = "个人中心信息展示")
    R userInfo(Integer id);

    @ApiOperation(value = "个人中心-信息修改",notes = "个人中心-信息修改")
    R updateUser(UserProsonalEntityVo userProsonalEntityVo);

    @ApiOperation(value = "发送手机验证码",notes = "发送手机验证码")
    R findPasswordByPhone(@ApiParam(value = "手机号",required = true) String email);

    @ApiOperation(value = "发送邮箱验证码",notes = "发送邮箱验证码")
    R findPasswordByEmail(@ApiParam(value = "邮箱号",required = true) String phone);

    @ApiOperation(value = "校验验证码",notes = "校验验证码")
//    R checkCode(@ApiParam(value = "用户id和验证码") String code,@ApiParam(value = "用户id和验证码")String opener);
    R checkCode(@ApiParam(value = "用户id+验证码+取值码") CheckVo checkVo);

    @ApiOperation(value = "设置新密码",notes = "设置新密码")
    R resetPassword(@ApiParam(value = "用户id和密码") CheckVo checkVo);

    @ApiOperation(value = "专家账号",notes = "根据登录次数和时间从20个账号中循环提取")
    R GMAccount();
}
