package com.msdw.tms.config;

//import com.msdw.tms.config.quartz.CheckCodeQuartz;
import com.msdw.tms.config.quartz.TimeOutQuartz;
import org.quartz.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class QuartzConfig {

    //定义任务详情
    @Bean
    public JobDetail timeOutJob() {
        //指定job的名称和持久化保存任务
        return JobBuilder
                .newJob(TimeOutQuartz.class)	//自定义任务
                .withIdentity("timeOut") //为任务定义名称
                .storeDurably()
                .build();
    }
    //定义触发器
    @Bean
    public Trigger timeTrigger() {
        //通知调度器,程序多久执行一次
        CronScheduleBuilder scheduleBuilder
//                = CronScheduleBuilder.cronSchedule("5/20 * * ? * *"); //时间表达式 每分钟的5，25秒执行任务
                = CronScheduleBuilder.cronSchedule("0 */1 * * * ?"); //时间表达式，每分钟执行一次
        return TriggerBuilder
                .newTrigger()
                .forJob(timeOutJob())
                .withIdentity("timeOut")
                .withSchedule(scheduleBuilder).build();
    }
}
