package com.msdw.tms.config;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.dysmsapi.model.v20170525.SendSmsRequest;
import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;
import com.aliyuncs.profile.IClientProfile;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SendSMS {

    // 短信模板id，此处将其封装为变量，是为了由该方法的调用者决定自己来发送哪种类型的短信验证码，比如注册，重置密码类的
    private static final String PHONSMSTEMPLATE = "SMS_204155294";

    public static void main(String[] args){
        String mobile="12345678910";//需要接受短信验证码的手机号
//        String sendTemplate="SMS_204155294";//短信模板ID，需要去阿里云平台申请，审核通过后方能使用，通常是以"SMS_"开头字符串
        String code = (int)((Math.random() * 9 + 1) * 100000)+ "";//要发送给用户的短信验证码，行业通常使用六位纯数字

        boolean result= sendCode(mobile,code);
        if(result){
            System.out.println("短信发送成功");
        }else{
            System.out.println("短信发送失败");
        }
    }
    /**
     * 通过阿里云平台发送短信，如果发送成功，返回"OK" ;否则返回的是错误信息
     * @param mobile 要接收该短信的用户手机号
     * @param
     * @param code 您将发送到用户手机的短信验证码
     */
    public static Boolean sendCode(String mobile,String code){
        boolean isSend = false;
        //请求失败这里会抛ClientException异常
        String result="";
        try {
            //设置超时时间-可自行调整
            System.setProperty("sun.net.client.defaultConnectTimeout", "10000");
            System.setProperty("sun.net.client.defaultReadTimeout", "10000");
            //初始化ascClient需要的几个参数
            final String product = "Dysmsapi";//短信API产品名称（短信产品名固定，无需修改）
            final String domain = "dysmsapi.aliyuncs.com";//短信API产品域名（接口地址固定，无需修改）
            //替换成你的AK
            final String accessKeyId = "LTAI4FzqQHnk4rozqLZ8jCNj";//你的accessKeyId,参考本文档步骤2
            final String accessKeySecret = "mveW7B1OyFoKUkHm8WsxmrjHmkJWHq";//你的accessKeySecret，参考本文档步骤2
            //初始化ascClient,暂时不支持多region（请勿修改）
            IClientProfile profile = DefaultProfile.getProfile("cn-hangzhou", accessKeyId,
                    accessKeySecret);
            DefaultProfile.addEndpoint("cn-hangzhou", "cn-hangzhou", product, domain);
            IAcsClient acsClient = new DefaultAcsClient(profile);
            //组装请求对象
            SendSmsRequest request = new SendSmsRequest();
            //使用post提交
            request.setMethod(MethodType.POST);
            //必填:待发送手机号。支持以逗号分隔的形式进行批量调用，批量上限为1000个手机号码,批量调用相对于单条调用及时性稍有延迟,验证码类型的短信推荐使用单条调用的方式；发送国际/港澳台消息时，接收号码格式为00+国际区号+号码，如“0085200000000”
            request.setPhoneNumbers(mobile);
            //必填:短信签名-可在短信控制台中找到
            request.setSignName("职站");//注意要与你在短信控制台中的签名一致
            //必填:短信模板-可在短信控制台中找到
            request.setTemplateCode(PHONSMSTEMPLATE);
            //可选:模板中的变量替换JSON串,如模板内容为"亲爱的${name},您的验证码为${code}"时,此处的值为
            //友情提示:如果JSON中需要带换行符,请参照标准的JSON协议对换行符的要求,比如短信内容中包含\r\n的情况在JSON中需要表示成\\r\\n,否则会导致JSON在服务端解析失败
//		request.setTemplateParam("{\"name\":\"Tom\", \"code\":\"123\"}");
            request.setTemplateParam("{\"code\":\""+code+"\"}");
            //可选-上行短信扩展码(扩展码字段控制在7位或以下，无特殊需求用户请忽略此字段)
            //request.setSmsUpExtendCode("90997");
            //可选:outId为提供给业务方扩展字段,最终在短信回执消息中将此值带回给调用者
//		request.setOutId("yourOutId");

            SendSmsResponse response = acsClient.getAcsResponse(request);
            result=response.getCode();
            if(result!=null&&"OK".equals(result.toUpperCase())){
                System.out.println("短信发送成功");
                isSend = true;
            }else{
                isSend = false;
                System.out.println("短信发送失败");
            }
        } catch (Exception e) {
            result=e.getMessage();
            isSend = false;
        }
        return isSend;
    }

}