package com.msdw.tms.config.quartz;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.service.ExperimentalTeachingService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

@Slf4j
@Component
public class TimeOutQuartz implements Job {

    @Autowired
    private ExperimentalTeachingService service;

    /**
     * 将超时/结束的实验状态修改为3（结束）
     * @param jobExecutionContext
     * @throws JobExecutionException
     */
    @Override
    @Transactional
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
//        log.info("查询并关闭超时/结束任务");
        UpdateWrapper<ExperimentalTeachingEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.le("stop_time",new Date()).ge("stop_time","1970-11-29 00:00:00").set("status",3);
        boolean result = service.update(updateWrapper);

    }

}
