package com.msdw.tms.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.msdw.tms.api.CommentApi;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.CommentEntity;
import com.msdw.tms.service.CommentService;
import com.sun.xml.bind.v2.model.core.ID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 此类为老师评语
 */
@RestController
@RequestMapping("/comment")
public class Commentcontroller implements CommentApi {

    @Autowired
    private CommentService commentService;

    @Override
    @PostMapping("/addComment")
    @Transactional
    public R addComment(@RequestBody CommentEntity entity){
        commentService.save(entity);
        return R.ok();
    }

    @Override
    @Transactional
    @PostMapping("/updateComment")
    public R updateComment(@RequestBody CommentEntity entity){
        if (entity.getId()==null){
            return R.error("id不能为空！！！");
        }
        commentService.updateById(entity);
        return R.ok();
    }

    @Override
    @GetMapping("/queryComment")
    public R queryComment(){
        List<CommentEntity> result = commentService.list();
        return R.ok().put("data",result);
    }
}
