package com.msdw.tms.controller;

import com.msdw.tms.api.EvaluationRulesControllerApi;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.EvaluationRulesEntity;
import com.msdw.tms.entity.vo.EvaluationRulesVO;
import com.msdw.tms.service.EvaluationRulesService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;


/**
 * 测评规则信息记录，只记录一条信息
 *
 * @author gongsj
 */
@RestController
@RequestMapping("tms/evaluationrules")
public class EvaluationRulesController implements EvaluationRulesControllerApi {
    @Resource
    EvaluationRulesService evaluationRulesService;

    /**
     * 测评规则信息的展示
     */
    @Override
    @GetMapping("/info")
    //@RequiresPermissions("qms:evaluationrules:info")
    public R info() {
        EvaluationRulesVO evaluationRulesVO = evaluationRulesService.getEvaluationRules();

        return R.ok().put("data", evaluationRulesVO);
    }

    /**
     * 修改
     */
    @Override
    @PutMapping("/update")
    //@RequiresPermissions("qms:evaluationrules:update")
    public R update(@RequestBody EvaluationRulesEntity evaluationRules) {
        boolean b = evaluationRulesService.updateEvaluationRulesById(evaluationRules);

        return b ? R.ok() : R.error();
    }

}
