package com.msdw.tms.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.msdw.tms.api.ExperimentalProjectControllerApi;
import com.msdw.tms.common.utils.Constant;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ExperimentalProjectEntity;
import com.msdw.tms.entity.vo.ExperimentalProjectEntityVO;
import com.msdw.tms.service.ExperimentalProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

@RestController
@RequestMapping("tms/project")
public class ExperimentalProjectController implements ExperimentalProjectControllerApi {

    @Autowired
    private ExperimentalProjectService experimentalProjectService;

    /**
     * 根据实验项目名称查询
     */
    @GetMapping("/getExperimentalProjectName")
    public R getExperimentalProjectName(@RequestParam String experimentalProjectName) {
        ExperimentalProjectEntity one = experimentalProjectService.getOne(new QueryWrapper<ExperimentalProjectEntity>().eq("experimental_project_name", experimentalProjectName)
                .eq("isdel", Constant.IsDel.NOT_DEL));
        return R.ok().put("experimental_project_name", one);
    }

    /**nm
     * 根据id查询实验班级详情
     */
    @GetMapping("/getById/{id}")

    public R getById(@PathVariable("id") Integer id){
        ExperimentalProjectEntity et = experimentalProjectService.getById(id);
        return R.ok().put("ExperimentalTeaching", et);
    }
//    /**
//     * 根据邀请码查询
//     */
//    @GetMapping("/getInvitationCode")
//    public R getInvitationCode(@RequestParam Integer invitationCode) {
//        ExperimentalProjectEntity one = experimentalProjectService.getOne(new QueryWrapper<ExperimentalProjectEntity>().eq("invitation_code", invitationCode)
//                .eq("is_del", Constant.IsDel.NOT_DEL));
//        return R.ok().put("InvitationCode", one);
//    }
    /**
     * 查询
     */
    @GetMapping("/list")
    public R list(@RequestParam Integer page,
                  @RequestParam Integer size,
                  Integer roleId,Integer status,String experimentalProjectName){
        ExperimentalProjectEntityVO vo = new ExperimentalProjectEntityVO();
        if (roleId!=null){
            vo.setRoleId(roleId);
        }
        if (status!=null){
            vo.setStatus(status);
        }
        if (experimentalProjectName!=null&&experimentalProjectName!=""){
            vo.setExperimentalProjectName(experimentalProjectName);
        }
        PageUtils list = experimentalProjectService.queryExperimentalProject(page,size,vo);
        return R.ok().put("list",list);
    }
    /**
     * 保存
     */
    @PostMapping("/save")
    public R save(@RequestBody ExperimentalProjectEntity experimentalProjectEntity){
        experimentalProjectService.save(experimentalProjectEntity);
        return R.ok();
    }

    /**
     * 修改
     */
    @PostMapping("/update")
    public R update(@RequestBody ExperimentalProjectEntity experimentalProjectEntity){
        experimentalProjectService.updateById(experimentalProjectEntity);

        return R.ok();
    }

    /**
     * 删除
     */
    @PostMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
        experimentalProjectService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

//    /**
//     * 修改
//     */
//    @PostMapping("/start")
//    public R start(@RequestParam Integer id){
//        experimentalProjectService.updateById(experimentalTeachingEntity);
//
//        return R.ok();
//    }
}
