package com.msdw.tms.controller;

import com.msdw.tms.api.PersonalFileControllerApi;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.PersonalFileEntity;
import com.msdw.tms.entity.vo.PersonalFileVo;
import com.msdw.tms.service.PersonalFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

@RestController
@RequestMapping("tms/personalFile")
public class PersonalFileController implements PersonalFileControllerApi {

    @Autowired
    private PersonalFileService personalFileService;


    /**
     * 列表
     */
    @GetMapping("/list/{userId}")
    public R list(@PathVariable("userId") Integer userid){
        List<PersonalFileVo> personalFileVos = personalFileService.queryPage(userid);

        return R.ok().put("data", personalFileVos);
    }


    /**
     * 信息
     */
    @GetMapping("/info/{id}")
    public R info(@PathVariable("id") Long id){
        PersonalFileEntity personalFileEntity = personalFileService.getById(id);

        return R.ok().put("growthChangeHistory", personalFileEntity);
    }

    /**
     * 保存
     */
    @PostMapping("/save")
    public R save(@RequestBody PersonalFileEntity personalFileEntity){
        personalFileService.save(personalFileEntity);

        return R.ok();
    }

    /**
     * 修改
     */
    @PutMapping("/update")
    public R update(@RequestBody PersonalFileEntity personalFileEntity){
        personalFileService.updateById(personalFileEntity);

        return R.ok();
    }

    /**
     * 删除
     */
    @DeleteMapping("/delete")
    public R delete(@RequestBody Long[] ids){
        personalFileService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }


}
