package com.msdw.tms.controller;

import com.msdw.tms.api.ProjectControllerApi;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ProjectEntity;
import com.msdw.tms.service.ProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;


/**
 * 
 * @author
 * @email 
 * @date 2020-08-19 16:07:02
 */
@RestController
@RequestMapping("fictitious/project")
public class ProjectController implements ProjectControllerApi {

    @Autowired
    private ProjectService projectService;

    /**
     * 列表
     */
    @GetMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = projectService.queryPage(params);

        return R.ok().put("page", page);
    }

    /**
     * 用户端-实验项目
     * @param userId
     * @return
     */
    @Override
    @GetMapping("/projects/info/{userid}")
    public R list(@PathVariable("userid")  Integer userId){
        HashMap<Integer, ProjectEntity> result = projectService.list(userId);

        return R.ok().put("data", result);
    }

    /**
     * 信息
     */
    @GetMapping("/info/{projectid}")
    public R info(@PathVariable("projectid") Integer projectid){
		ProjectEntity project = projectService.getById(projectid);

        return R.ok().put("project", project);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody ProjectEntity project){
		projectService.save(project);

        return R.ok();
    }

    /**
     * 修改
     */
    @PutMapping("/update")
    public R update(@RequestBody ProjectEntity project){
		projectService.updateById(project);

        return R.ok();
    }

    /**
     * 删除
     */
    @DeleteMapping("/delete")
    public R delete(@RequestBody Integer[] projectids){
		projectService.removeByIds(Arrays.asList(projectids));

        return R.ok();
    }

}
