package com.msdw.tms.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.msdw.tms.api.SignatureApi;
import com.msdw.tms.common.utils.FilesResult;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.SignatureEntity;
import com.msdw.tms.service.AliyunOssService;
import com.msdw.tms.service.SignatureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 此类为老师签名
 */
@RestController
@RequestMapping("/signature")
public class SignatureController implements SignatureApi {

    @Autowired
    private SignatureService signatureService;

    @Autowired
    private AliyunOssService ossService;

    /**
     * 上传老师签名照
     * @param file  文件
     * @param userId  用户id
     * @return
     */
    @Override
    @PostMapping("/uploadSignature")
    public R uploadSignature(@RequestParam MultipartFile file, @RequestParam Integer userId) throws IOException {
        R result = signatureService.uploadSignature(file,userId);
        return result;
    }

    /**
     * 查询老师签名照
     * @param userId
     * @return
     */
    @Override
    @GetMapping("/querySignature")
    public R querySignature(@RequestParam Integer userId){
        R result = signatureService.querySignature(userId);
        return result;
    }

    /**
     * 删除老师签名照
     * @param entity
     * @return
     */
    @Override
    @Transactional
    @PostMapping("/daleteSignature")
    public R daleteSignature(@RequestBody SignatureEntity entity){
        R result = signatureService.daleteSignature(entity);

        return result;
    }
}
