package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.ReportEntity;
import com.msdw.tms.entity.ResultsEntity;
import com.msdw.tms.entity.request.AchievementImportRequest;
import com.msdw.tms.entity.request.ImportAssessmentRequest;
import com.msdw.tms.entity.vo.AchievementManagementVO;
import com.msdw.tms.entity.vo.JudgmentPointsRuleVO;
import com.msdw.tms.entity.vo.ResultsVo;
import com.msdw.tms.entity.vo.UserScoreVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

@Mapper
public interface AchievementManagementDao extends BaseMapper<ExperimentalReportEntity> {
    //查询用户答案
    List<JudgmentPointsRuleVO> getUserAnswers(Integer tradingJudgmentPointsId);

    //查询实验报告
    ExperimentalReportEntity getReport(ExperimentalReportEntity experimentalReportEntity);

    List<Integer> queryTradingJudgmentPointsId(Integer reportId);

    //查询实验报告
    String getTeacher(Integer projectId);

    //查询实验报告
    List<UserScoreVO> getScore(UserScoreVO userScoreVO);

    //成绩管理列表
    List<ResultsEntity> list(ResultsVo vo);

    //成绩管理实验教学列表
    List<ResultsEntity> newList(ResultsVo vo);

    //成绩管理列表
    List<ReportEntity> reportList(ResultsVo vo);

    void addReport(ExperimentalReportEntity entity);

    AchievementManagementVO queryReport(Integer reportId);

    void deleteReport(Integer reportId, Integer recordId);

    IPage<AchievementManagementVO> queryEvaluationReport(Page<T> tPage, String searchContant, Integer projectId);

    //导出练习
    List<AchievementImportRequest> queryAchievement(@Param("ids") List<Integer> ids);

    //导出考核
    List<ImportAssessmentRequest> queryAchievementByAssessment(@Param("ids") List<Integer> ids);

    List<AchievementManagementVO> queryFictitiousRecord(Integer systemId, String searchContant, String startingtime, String endtime, Integer month, List<Integer> projectIds);

    List<AchievementManagementVO> queryEducationRecord(Integer systemId, String searchContant, String startingtime, String endtime, Integer month, List<Integer> projectIds);

    //qiyong
    List<AchievementManagementVO> queryFictitiousReport(String searchContant, Integer projectId);

    List<Integer> countEducationProjectId();

    List<Integer> countFictitiousProjectId();


    String queryEvaluationName(Integer projectId);

    void updateComment(ExperimentalReportEntity entity);

    List<AchievementManagementVO> queryPythonTest(Integer eventId);

    void updateSignatrue(Integer isSignature, Integer signatureId, Integer reportId, String comment);

    void deleteReportById(Integer projectId);

    //虚拟仿真成绩管理查询
    List<AchievementManagementVO> getImitationAchievement(Integer projectId);

    List<AchievementManagementVO> getTeachAchievement(Integer id);

    //编辑实验报告
    Integer modify(ExperimentalReportEntity entity);
}
