package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.EvaluationQuestionEntity;
import com.msdw.tms.entity.vo.EvaluationDetailVO;
import com.msdw.tms.entity.vo.EvaluationQuestionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 测评试题表，记录每次测评的试题，与测评记录表相关联
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:49
 */
@Mapper
public interface EvaluationQuestionDao extends BaseMapper<EvaluationQuestionEntity> {
    int updateById(EvaluationQuestionEntity evaluationQuestion);

    EvaluationQuestionVO selectByInfo(@Param("evaluationRecordId") Integer evaluationRecordId,
                                      @Param("questionSortNo") Integer questionSortNo);

    List<EvaluationDetailVO> selectDetailByInfo(@Param("evaluationRecordId") Integer evaluationRecordId);

    int sumScore(@Param("evaluationRecordId") Integer evaluationRecordId);

    List<Integer> sumScoreListByUserId(@Param("userId") Integer userId);
}
