package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.ExperimentalProjectEntity;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ProjectRecordEntity;
import com.msdw.tms.entity.resp.GetByUserRecordResp;
import com.msdw.tms.entity.vo.ProjectRecordExportVo;
import com.msdw.tms.entity.vo.ProjectRecordVo;
import com.msdw.tms.entity.vo.RecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author
 * @email
 * @date 2020-08-19 16:07:02
 */
@Mapper
public interface ProjectRecordDao extends BaseMapper<ProjectRecordEntity> {

    IPage<ProjectRecordVo> getByKDUserRecord(Page page, @Param("pro") ProjectRecordEntity projectRecordEntity, Integer projectPermissions);

    IPage<GetByUserRecordResp> getByUserRecord(Page page, @Param("userId") Integer userId, @Param("projectPermissions") Integer projectPermissions, @Param("systemId") Integer systemId);

    IPage<ProjectRecordVo> getByUserExperimentRecord(Page page, @Param("pro") ProjectRecordEntity projectRecordEntity, Integer systemId);

    List<ProjectRecordExportVo> getByUserRecordImport(ProjectRecordEntity projectRecordEntity);

    ProjectRecordVo getByUserScore(@Param("userid") Integer userId, @Param("isdel") Integer isdel);

    ProjectRecordVo queryScore(@Param("userId") Integer userId);

    IPage<ProjectRecordVo> getBySchoolRecord(Page page, @Param("pro") ProjectRecordVo projectRecord);

    boolean updateUserRecord(ProjectRecordEntity projectRecord);

    List<ProjectRecordExportVo> getByRecordImport(ProjectRecordEntity projectRecord);

    void addReport(RecordVo entity);

    ProjectRecordEntity queryReport(Integer recordId);

    void updateScore(ProjectRecordEntity vo);

    //练习统计
    List<GetByUserRecordResp> sumByPracticeNum(Integer userId);

    //考核统计
    List<ProjectRecordVo> sumByAssessmentNum(Integer userId);

}
