package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.StudentEntity;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.StudentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

@Mapper
public interface StudentDao extends BaseMapper<StudentEntity> {

    List<Integer> queryStudentIdNumber(String workNumber,Integer schoolId);

    boolean saveStudent(StudentVo studentVo);

    IPage<StudentVo> queryStudent(Page<T> tpage,String searchContent,Integer schoolId);

    StudentVo queryStudentDetails(Integer userId);

    Integer deleteStudent(List<Integer> studentId);

    Integer updateStudent(StudentVo studentVo);

    void updateWorkNumber(String workNumber,Integer studentId);

    boolean addStudentInfo(StudentVo studentVo);

    List<Integer> querySchoolName(String schoolAppellationName);

    int bacthAddStudents(List<StudentVo> students);

    int querySchoolAppellationName(String schoolAppellationName);

    List<StudentVo> queryAccount(String account,Integer schoolId);

    int queryStudentByWorkNumber(StudentVo studentVo);
}
