package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 测评试题表，记录每次测评的试题，与测评记录表相关联
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:49
 */
@Data
@TableName("tms_evaluation_question")
public class EvaluationQuestionEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId
    private Integer id;
    /**
     * 测评记录表id
     */
    private Integer evaluationRecordId;
    /**
     * 试题id
     */
    private Integer questionId;
    /**
     * 试题顺序号
     */
    private Integer questionSortNo;
    /**
     * 试题状态：是否已被作过:1、已作/0、未作
     */
    private Integer questionStatus;
    /**
     * 用户填写的答案
     */
    private String userAnswer;
    /**
     * 是否正确：1、正确/0、错误
     */
    private Integer isTure;
    /**
     * 试题分值
     */
    private Integer questionPoints;
    /**
     * 试题得分
     */
    private Integer questionScore;

}
