package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
@Data
@TableName("tms_evaluation_record")
public class EvaluationRecordEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId
    private Integer id;
    /**
     * 当前测评的用户的id
     */
    private Integer userId;
    /**
     * 记录当前做到第几题，用于刷新页面以后保持在当前题目，默认开始时是第一题
     */
    private Integer currentQuestionSortNo;
    /**
     * 总题目数量
     */
    private Integer totalQuestionNum;
    /**
     * 当前测评状态：1：已提交/0：未提交
     */
    private Integer evaluationStatus;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 提交时间
     */
    private Date submitTime;

}
