package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author 
 * @email 
 * @date 2020-10-14 10:36:02
 */
@Accessors(chain = true)
@Data
@TableName("tms_experimental_project")
public class ExperimentalProjectEntity implements Serializable, Comparable {

	private static final long serialVersionUID = 1L;

	/**
	 * 实验项目id
	 */
	@TableId
	private Integer id;
	/**
	 * 实验项目名称
	 */
	private String experimentalProjectName;
	/**
	 * 项目权限(1、练习 2、考核 3、竞赛)
	 */
	private Integer projectPermissions;
	/**
	 * 实验目标
	 */
	private String experimentGoal;
	/**
	 * 案例描述
	 */
	private String caseDescription;
	/**
	 * 实验提示
	 */
	private String experimentTips;
	/**
	 * 知识点
	 */
	private String knowledgePoints;
	/**
	 * 实验介绍
	 */
	private String experimentIntroduction;
	/**
	 * 创建人
	 */
	private Integer roleId;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 删除(0未删除 1已删除)
	 */
	private Integer isdel;

	/**
	 * 状态(1、草稿箱 2、发布)
	 */
	private Integer status;


	@Override
	public int compareTo(Object o) {
		ExperimentalProjectEntity projectEntity = (ExperimentalProjectEntity) o;
		return this.id - projectEntity.id;
	}
}
