package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@TableName("tms_experimental_report")
@Data
@Accessors(chain = true)
public class ExperimentalReportEntity {
    //实验报告主键
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "实验报告主键", name = "reportId", required = false)
    private Integer reportId;
    //绑定实验id
    @ApiModelProperty(value = "绑定实验id", name = "projectId", required = false)
    private Integer projectId;
    //实验原理
    @ApiModelProperty(value = "实验原理", name = "principle", required = false)
    private String principle;
    //实验内容
    @ApiModelProperty(value = "实验内容", name = "content", required = false)
    private String content;
    //实验步骤
    @ApiModelProperty(value = "实验步骤", name = "step", required = false)
    private String step;
    //实验数据
    @ApiModelProperty(value = "实验数据", name = "data", required = false)
    private String data;
    //实验分析
    @ApiModelProperty(value = "实验分析", name = "analysis", required = false)
    private String analysis;
    //实验结论
    @ApiModelProperty(value = "实验结论", name = "conclusion", required = false)
    private String conclusion;
    //实验总结
    @ApiModelProperty(value = "实验总结", name = "summarize", required = false)
    private String summarize;
    //实验目的
    @ApiModelProperty(value = "实验目的", name = "purpose", required = false)
    private String purpose;
    //对本实验过程的方法及手段的改进建议
    @ApiModelProperty(value = "对本实验过程的方法及手段的改进建议", name = "improvement", required = false)
    private String improvement;
    //老师评语
    @ApiModelProperty(value = "老师评语", name = "commentId", required = false)
    private Integer commentId;
    //教师评语
    @ApiModelProperty(value = "教师评语", name = "comment", required = false)
    private String comment;
    //绑定学生id
    @ApiModelProperty(value = "绑定学生id", name = "studentId", required = false)
    private Integer studentId;
    //绑定老师id
    @ApiModelProperty(value = "绑定老师id", name = "teacherId", required = false)
    private Integer teacherId;
    //指导老师
    @ApiModelProperty(value = "指导老师", name = "teacherName", required = false)
    private String teacherName;
    //学时
    @ApiModelProperty(value = "学时", name = "period", required = false)
    private String period;
    //实验室名称
    @ApiModelProperty(value = "实验室名称", name = "laboratory", required = false)
    private String laboratory;
    //绑定教师签名id
    @ApiModelProperty(value = "绑定教师签名id", name = "signatureId", required = false)
    private Integer signatureId;
    //是否启用教师签名照
    @ApiModelProperty(value = "是否启用教师签名照", name = "isSignature", required = false)
    private Integer isSignature;
    //绑定项目id
    @ApiModelProperty(value = "绑定项目id", name = "eventId", required = false)
    private Integer eventId;
    //实验器材
    @ApiModelProperty(value = "实验器材", name = "equipment", required = false)
    private String equipment;
    @ApiModelProperty(value = "最终得分", name = "score", required = false)
    private Integer score;
    @ApiModelProperty(value = "耗时/小时", name = "timeConsuming", required = false)
    private Integer timeConsuming;
    @ApiModelProperty(value = "开始时间", name = "startTime", required = false)
    private String startTime;
    @ApiModelProperty(value = "创建时间", name = "creationTime", required = false)
    private String creationTime;
    @ApiModelProperty(value = "班级名称", name = "className", required = false)
    private String className;
    //步骤1
    @ApiModelProperty(value = "步骤1", name = "steps1", required = false)
    private String steps1;
    //步骤2
    @ApiModelProperty(value = "步骤2", name = "steps2", required = false)
    private String steps2;
    //步骤3
    @ApiModelProperty(value = "步骤3", name = "steps3", required = false)
    private String steps3;
    //步骤4
    @ApiModelProperty(value = "步骤4", name = "steps4", required = false)
    private String steps4;
    //步骤5
    @ApiModelProperty(value = "步骤5", name = "steps5", required = false)
    private String steps5;
    //步骤6
    @ApiModelProperty(value = "步骤6", name = "steps6", required = false)
    private String steps6;
    //步骤7
    @ApiModelProperty(value = "步骤7", name = "steps7", required = false)
    private String steps7;
    //步骤8
    @ApiModelProperty(value = "步骤8", name = "steps8", required = false)
    private String steps8;
    //步骤9
    @ApiModelProperty(value = "步骤9", name = "steps9", required = false)
    private String steps9;
    //步骤10
    @ApiModelProperty(value = "步骤10", name = "steps10", required = false)
    private String steps10;

    @ApiModelProperty(value = "指导老师", name = "instructor", required = false)
    private String instructor;

    @ApiModelProperty(value = "项目名称", name = "proName", required = false)
    private String proName;

    private transient String projectName;

    private transient String workNumber;

    //绑定用户id
    private transient Integer userId;

    //练习实验报告班级
    @ApiModelProperty(value = "练习实验报告班级", name = "experimentalClassName", required = false)
    private String experimentalClassName;


}
