package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 记录试题信息
 * 
 * @author gongsj
 */
@Data
@TableName("tms_questions")
public class QuestionsEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 自增主键
	 */
	@TableId
	private Integer id;
	/**
	 * 题型：1、单选题，2、多选题，3、判断题
	 */
	private Integer questionType;
	/**
	 * 题干信息
	 */
	private String questionStem;
	/**
	 * A选项内容
	 */
	private String optionA;
	/**
	 * B选项内容
	 */
	private String optionB;
	/**
	 * C选项内容
	 */
	private String optionC;
	/**
	 * D选项内容
	 */
	private String optionD;
	/**
	 * E选项内容
	 */
	private String optionE;
	/**
	 * F选项内容
	 */
	private String optionF;
	/**
	 * 正确答案
	 */
	private String answer;
	/**
	 * 答案解析
	 */
	private String answerAnalysis;
	/**
	 * 是否禁用：1：启用，0：禁用，默认是1启用
	 */
	private Integer isEnable;
	/**
	 * 是否删除：0使用，1删除，默认0使用
	 */
	private Integer isDel;
	/**
	 * 创建人
	 */
	private String createUser;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改人
	 */
	private String modifyUser;
	/**
	 * 修改时间，用于排序，创建时，修改时间等于创建时间
	 */
	private Date modifyTime;
}
