package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Pattern;

@Accessors(chain = true)
@Data
@TableName("hr_user_info")
public class UserInfoEntity {
    //用户id
    @TableId
    private Integer userId;
    //用户姓名
    private String userName;
    //用户账号
    //@Pattern(regexp = "/^[1-9]([0-9]{1,5})?$/", message = "账号只能为数字！")
    @Pattern(regexp = "^[0-9a-zA-Z]*$",message = "账号只能为数字或字母！")
    private String account;
    //用户密码
    private String password;
    //国家
    private String countries;
    //绑定省份id
    private Integer provinceId;
    //绑定城市id
    private Integer cityId;
    //创建时间
    private String creationTime;
    //登陆次数
    private Integer logInNumber;
    //性别
    private Integer sex;
    //证件类型(1、身份证)
    private Integer documenttype;
    //身份证
    private String idNumber;
    //教育程度(1、研究数及以上)
    private Integer educationDegree;
    //电话
    private String phone;
    //微信账号
    private String wechatId;
    //出生日期
    private String dateBirth;
    //邮箱
    private String email;
    //学校id
    private Integer schoolId;
    //唯一标示性账号
    private String uniqueIdentificationAccount;
    //用户头像路径
    private String userAvatars;
    //是否删除
    private Integer isdel;
    //角色id
    private String roleId;
    //是否禁用（0未禁用1已禁用默认0）
    private Integer disableAccount;
    //所属院校id
    private Integer schoolAppellationId;
    //token
    private String token;
    //最后登录时间
    private String lastLoginTime;
}
