package com.msdw.tms.entity.response;

import lombok.ToString;

@ToString
public enum CommonCode implements ResultCode {

    SUCCESS(true, 10000, "操作成功！"),
    UNAUTHENTICATED(false, 10001, "此操作需要登陆系统！"),
    UNAUTHORISE(false, 10002, "权限不足，无权操作！"),
    INVALID_PARAM(false, 10003, "非法参数！"),
    QUESTION_NUM_INVALID(false, 10004, "测评题目数量设置超出范围！"),
    QUESTION_EXISTS(false, 10005, "此题已存在！"),
    QUESTIONTYPE_INVALID(false, 10006, "题型错误！"),
    EXCEL_INVALID(false, 10007, "excel表内容错误！"),
    EVALUATION_TIME_INVALID(false, 10008, "测评时间错误！"),
    EXCEL_FILE_INVALID(false, 10009, "上传excel文件错误！"),
    REPEAT_INEXCEL(false, 10010, "试题在excel表中重复！"),
    EVALUATION_QUESTION_NUM_INVALID(false, 10011, "当前测评题数设置为0，请先设置测评题数！"),
    EXCEL_FILE_NULL(false, 100011, "导入失败，导入数据为空！"),
    EXCEL_FILE_FORMAT_ERROR(false, 100012, "请根据模板使用说明录入正确的学生信息！"),
    EXCEL_FILE_FORMAT_ERROR_STAFFS(false, 100012, "请根据模板使用说明录入正确的员工信息！"),
    FAIL(false, 11111, "操作失败！"),


    ROLE_NAME_EXIST(false, 20001, "该角色名称已存在，请重新输入！"),
    ROLE_EMP_EXIST(false, 44001, "该角色有用户关联，不能删除！"),
    SERVER_ERROR(false, 99999, "抱歉，系统繁忙，请稍后重试！");
    //操作是否成功
    boolean success;
    //操作代码
    int code;
    //提示信息
    String message;

    CommonCode(boolean success, int code, String message) {
        this.success = success;
        this.code = code;
        this.message = message;
    }

    @Override
    public boolean success() {
        return success;
    }

    @Override
    public int code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }


}
