package com.msdw.tms.entity.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 记录菜单权限
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
@TableName("hrms_permission")
public class RolePermissionResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 角色id
	 */
	@ApiModelProperty("id")
	private Long roleId;
	/**
	 * 角色名称
	 */
	@ApiModelProperty("名称")
	private String name;

	/**
	 * 角色描述
	 */
	@ApiModelProperty("角色描述")
	private String description;

	/**
	 * 权限id
	 */
	@ApiModelProperty("权限id")
	private Long permissionId;

	/**
	 * 拥有权限名称
	 */
	@ApiModelProperty("权限名称")
	private String permissionName;

	/**
	 * 父级id
	 */
	@ApiModelProperty("父级id")
	private Long parentId;

	/**
	 * 子权限
	 */
	@ApiModelProperty("子权限")
	@JsonInclude(JsonInclude.Include.NON_EMPTY)
	@TableField(exist = false)
	private List<RolePermissionResponse> children;

	/**
	 * 排序
	 */
	@ApiModelProperty("子权限")
	private Integer sort;

	/**
	 * 权限标识
	 */
	private String code;

	private boolean disabled=true;

}
