package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
@Data
public class EvaluationRecordVO implements Serializable {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 当前测评的用户的id
     */
    private Integer userId;
    /**
     * 记录当前做到第几题，用于刷新页面以后保持在当前题目，默认开始时是第一题
     */
    private Integer currentQuestionSortNo;
    /**
     * 总题目数量
     */
    private Integer totalQuestionNum;
    /**
     * 题型
     */
    private Integer questionType;
    /**
     * 题型名称
     */
    private String questionTypeName;
    /**
     * 题干信息
     */
    private String questionStem;
    /**
     * A选项内容
     */
    private String optionA;
    /**
     * B选项内容
     */
    private String optionB;
    /**
     * C选项内容
     */
    private String optionC;
    /**
     * D选项内容
     */
    private String optionD;
    /**
     * E选项内容
     */
    private String optionE;
    /**
     * F选项内容
     */
    private String optionF;
    /**
     * 用户答案
     */
    private String userAnswer;
}
