package com.msdw.tms.entity.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * 测评规则信息记录，只记录一条信息
 * 
 * @author gongsj
 */
@Data
@TableName("tms_evaluation_rules")
public class EvaluationVO implements Serializable {

	/**
	 * 主键
	 */
	private Integer id;
	/**
	 * 测评类型：1：随机类型，0：自定义类型
	 */
	private Integer evaluationType;
	/**
	 * 测评时长，单位：分钟
	 */
	private Integer duration;
	/**
	 * 测评总题数
	 */
	private Integer questionNum;
	/**
	 * 单选题数
	 */
	private Integer singleNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isSingleEnable;
	/**
	 * 多选题数
	 */
	private Integer multipleNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isMultipleEnable;
	/**
	 * 判断题数
	 */
	private Integer judgmentNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isJudgmentEnable;
	/**
	 *试题列表
	 */
	private Set<Integer> Questions;
}
