package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 记录试题信息
 * 
 * @author gongsj
 */
@Data
public class QuestionsDetailVO implements Serializable {

	/**
	 * 主键
	 */
	private Integer id;
	/**
	 * 题型：用于区分是什么题型，1：单选，2：多选，3：判断
	 */
	private Integer questionType;
	/**
	 * 题型名称
	 */
	private String questionTypeName;
	/**
	 * 题干信息
	 */
	private String questionStem;
	/**
	 * A选项内容
	 */
	private String optionA;
	/**
	 * A选项是否为正确答案
	 */
	private boolean AIsTrue = false;
	/**
	 * B选项内容
	 */
	private String optionB;
	/**
	 * B选项是否为正确答案
	 */
	private boolean BIsTrue = false;
	/**
	 * C选项内容
	 */
	private String optionC;
	/**
	 * C选项是否为正确答案
	 */
	private boolean CIsTrue = false;
	/**
	 * D选项内容
	 */
	private String optionD;
	/**
	 * D选项是否为正确答案
	 */
	private boolean DIsTrue = false;
	/**
	 * E选项内容
	 */
	private String optionE;
	/**
	 * E选项是否为正确答案
	 */
	private boolean EIsTrue = false;
	/**
	 * F选项内容
	 */
	private String optionF;
	/**
	 * F选项是否为正确答案
	 */
	private boolean FIsTrue = false;
	/**
	 * 正确答案
	 */
	private String answer;
	/**
	 * 答案解析
	 */
	private String answerAnalysis;
}
