package com.msdw.tms.entity.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 试题列表展示信息
 *
 * @author gongsj
 */
@Data
@ToString
public class QuestionsListVO implements Serializable {

    /**
     * 主键
     */
    private Integer id;
    /**
     * 题型：1、单选题，2、多选题，3、判断题
     */
    private String questionTypeName;
    /**
     * 题干信息
     */
    private String questionStem;
    /**
     * 正确答案
     */
    private String answer;
    /**
     * 答案解析
     */
    private String answerAnalysis;
    /**
     * 是否禁用：1：启用，0：禁用，默认是1启用
     */
    private Integer isEnable;
    /**
     * 修改时间，用于排序，创建时，修改时间等于创建时间
     */
    private String modifyTime;

}
