package com.msdw.tms.entity.vo;

import com.msdw.tms.entity.StudentEntity;
import com.msdw.tms.entity.UserInfoEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * 学生管理
 */
@Data
@Accessors(chain = true)
public class StudentVo extends StudentEntity {

    //学校名称
    private String schoolName;
    //用户姓名
    private String userName;
    //用户账号
    @Pattern(regexp = "^[0-9a-zA-Z]*$",message = "账号只能为数字或字母！")
    private String account;
    //密码
    private String password;
    //最后登陆时间
    private String lastLoginTime;
    //电话
    private String phone;
    //邮箱
    private String email;
    //禁用状态
    private Integer disableAccount;
    //所属院校
    private String schoolAppellation;
    //唯一性标识账号
    private String uniqueIdentificationAccount;
    //绑定所属院校名称
    private String schoolAppellationName;
    //绑定所属院校id
    private Integer schoolAppellationId;
    //学生学号
    private String workNumber;
    //token
    private String token;
}
