package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ReportEntity;
import com.msdw.tms.entity.ResultsEntity;
import com.msdw.tms.entity.vo.AchievementManagementVO;
import com.msdw.tms.entity.vo.ResultsVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface AchievementManagementService extends IService<ExperimentalReportEntity> {

    //查询实验报告
    R getReport(Integer userId, Integer reportId);

    //查询知道老师
    R getTeacher(Integer projectId);

    PageInfo<ResultsEntity> list(ResultsVo vo, Integer page, Integer size);

    //查询实验教学列表
    PageInfo<ResultsEntity>  newList(ResultsVo vo, Integer page, Integer size);

    List<ReportEntity> reportList(ResultsVo vo, Integer page, Integer size);

    R addReport(ExperimentalReportEntity entity);

    R queryReport(Integer reportId);

    R deleteReport(List<Integer> reportId,List<Integer> recordId);

    R queryEvaluationReport(String searchContant, Integer projectId, Integer page, Integer size);

    void exportAchievement(HttpServletResponse response, String vo, Integer source) throws Exception;

    R queryAchievement(Integer systemId, Integer projectPermissions, String searchContant, String startingtime, String endtime, Integer month);

    R updateComment(ExperimentalReportEntity entity);

    void updateSignatrue(ExperimentalReportEntity entity);

    R deleteReportById(List<Integer> projectId, Integer projectPermissions, List<Integer> id);

    List<AchievementManagementVO> getImitationAchievement(Integer projectId);

    List<AchievementManagementVO> getTeachAchievement(Integer id);

    //编辑实验报告
    Integer modify(ExperimentalReportEntity entity);
}
