package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.entity.EvaluationRecordEntity;
import com.msdw.tms.entity.FractionEntity;
import com.msdw.tms.entity.vo.EvaluationRecordDetailVO;
import com.msdw.tms.entity.vo.EvaluationRecordSubmitVO;
import com.msdw.tms.entity.vo.EvaluationRecordVO;
import com.msdw.tms.entity.vo.TMSEvaluationRecordVO;

import java.util.concurrent.ExecutionException;

/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
public interface EvaluationRecordService extends IService<EvaluationRecordEntity> {
    TMSEvaluationRecordVO startEvaluation(Integer userId);

    TMSEvaluationRecordVO convertQuestion(Integer evaluationRecordId,
                                       Integer currentQuestionSortNo,
                                       String userAnswer,
                                       Integer changeSortNo) throws ExecutionException, InterruptedException;

    EvaluationRecordSubmitVO submitEvaluation(Integer evaluationRecordId,
                                              Integer currentQuestionSortNo,
                                              String userAnswer,
                                              Integer userId) throws ExecutionException, InterruptedException;

    EvaluationRecordDetailVO evaluationDetail(Integer evaluationRecordId) throws ExecutionException, InterruptedException;

    String selectNotMade(Integer evaluationRecordId);

    void cleanRemainingTime(Integer userId);

    boolean isOpenExperiment(Integer userId);

//    EvaluationRecordVO startEvaluation(Integer userId);
//
//    EvaluationRecordVO convertQuestion(Integer evaluationRecordId,
//                                       Integer currentQuestionSortNo,
//                                       String userAnswer,
//                                       Integer changeSortNo) throws ExecutionException, InterruptedException;
//
//    EvaluationRecordSubmitVO submitEvaluation(Integer evaluationRecordId,
//                                              Integer currentQuestionSortNo,
//                                              String userAnswer,
//                                              Integer userId) throws ExecutionException, InterruptedException;
//
//    EvaluationRecordDetailVO evaluationDetail(Integer evaluationRecordId) throws ExecutionException, InterruptedException;
//
//    String selectNotMade(Integer evaluationRecordId);
//
//    void cleanRemainingTime(Integer userId);
//
//    boolean isOpenExperiment(Integer userId);

    // boolean hasNotMadeEvaluation(Integer userId);
}

