package com.msdw.tms.service;

import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.entity.SysPermission;
import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.entity.SysRole;
import com.msdw.tms.entity.SysRolePermission;
import com.msdw.tms.entity.request.RolePermissionRequest;

import java.util.List;

/**
 * <p>
 * 菜单权限表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-02-24
 */
public interface ISysPermissionService extends IService<SysPermission> {

    List<SysPermission> listWithTree();

    int uniqueRoleName(String name);

    int addHrmsRole(RolePermissionRequest rolePermission);

    boolean addHrmsRolePermission(List<RolePermissionRequest> rolePermissionList);

    int updateHrmsRole(RolePermissionRequest rolePermission);

    boolean deleteHrmsRolePermission(Long roleId);

    boolean deleteHrmsRolePermission(Long[] roleIds);

    int queryCountByRoleId(Long[] roleIds);

    boolean deleteHrmsRoleByRoleId(Long[] roleIds);

    List<SysRolePermission> queryPermissionArrById(Long roleId);

    SysRole queryRoleMsg(Long roleId);

    PageUtils queryPage(Integer page, Integer size, String name);
}
