package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.FilesResult;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.QuestionsEntity;
import com.msdw.tms.entity.request.QuestionsAddRequest;
import com.msdw.tms.entity.request.QuestionsQueryRequest;
import com.msdw.tms.entity.request.QuestionsUpdateRequest;
import com.msdw.tms.entity.vo.EvaluationVO;
import com.msdw.tms.entity.vo.QuestionsDetailVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 记录试题信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-19 09:28:06
 */
public interface QuestionsService extends IService<QuestionsEntity> {

    PageUtils queryQuestionsPage(Integer page, Integer size, QuestionsQueryRequest request);

    QuestionsDetailVO getQuestionDetailById(Integer id);

    boolean saveQuestion(QuestionsAddRequest questions);

    boolean updateQuestionById(QuestionsUpdateRequest questions);

//    boolean isEnable(Integer id);

    Map<String, String> importQuestion(MultipartFile file) throws IOException;

    FilesResult uploadFiles(MultipartFile file) throws IOException;

    void downloadFiles(HttpServletResponse response) throws IOException;

    EvaluationVO randomQuestions();

    void exportQuestion(HttpServletResponse response) throws Exception;

    String getEvaluationRemainingTime(Integer userId);

    void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    boolean deleteByIds(List<Integer> asList);

    R isEnable(Integer id);
}

