package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.StudentEntity;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.StudentVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface StudentService extends IService<StudentEntity>{

     Integer queryStudentIdNumber(String workNumber,Integer schoolId);

     boolean saveStudent(StudentVo studentvo);

     PageUtils queryStudent(Integer schoolId,String searchContent, Integer page, Integer size);

     R queryStudentDetails(Integer userId);

     boolean deleteStudent(List<Integer> studentId);

     boolean updateStudent(StudentVo studentVo);

     void updateWorkNumber(Integer studentId);

    R addStudentInfo(StudentVo studentVo);

    void downloadFiles(HttpServletResponse response)  throws IOException;

    Map<String ,String> upload(MultipartFile file, Integer schoolId) throws IOException;

    void exportFailureRecord(HttpServletResponse response,String token) throws Exception;

    R queryAccount(String account,Integer schoolId);

    int queryStudentByWorkNumber(StudentVo studentVo);
}
