package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.Constant;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.dao.ClassTeachingDao;
import com.msdw.tms.dao.ExperimentalTeachingDao;
import com.msdw.tms.entity.BroadcastEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.ProjectRecordEntity;
import com.msdw.tms.entity.vo.ExperimentalTeachingVO;
import com.msdw.tms.entity.vo.ProjectRecordVo;
import com.msdw.tms.service.ClassTeachingService;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.concurrent.locks.Lock;

@Service
public class ClassTeachingServiceImpl extends ServiceImpl<ExperimentalTeachingDao, ExperimentalTeachingEntity> implements ClassTeachingService {

    @Autowired
    private ClassTeachingDao classMapper;

    @Autowired
    private ClassTeachingDao classTeachingDao;

    @Override
    public ExperimentalTeachingEntity queryInvitationcode(ExperimentalTeachingEntity experimentEntity) {
        ExperimentalTeachingEntity ex = classMapper.queryInvitationCode(experimentEntity);
        return ex;
    }

    /**
     * 查询班级实验信息
     * @param page
     * @param size
     * @param recordVo
     * @return
     */
    @Override
    @Transactional
    public PageUtils queryClassRecord(Integer page, Integer size, ProjectRecordVo recordVo) {
        //分页对象
        Page<T> page1 = new Page<>(page, size);
        recordVo.setIsdel(Constant.IsDel.NOT_DEL.getType());
        this.classMapper.updateSurplusTimeNull(recordVo);//将已结束的实验的倒计时重置为0
        this.classMapper.updateSurplusTime(recordVo);//倒计时：设定倒计时的剩余时间
        this.classMapper.updateSurplusTimeUp(recordVo);//倒计时：设定距离实验开始的剩余时间
        this.classMapper.updateSurplusTimeLe(recordVo);
        this.classMapper.updateSurplusTimeGt(recordVo);
//        IPage<ProjectRecordVo> schoolRecord = this.classMapper.getByClassRecord(page1, recordVo);
//        PageUtils pageUtils = new PageUtils(schoolRecord);
        ExperimentalTeachingVO vo =  new ExperimentalTeachingVO();
        // 状态
        vo.setStatus(recordVo.getStatus());
        // 月份
        vo.setMonth(recordVo.getMonth());
        // 学校
        vo.setSchoolId(recordVo.getSchoolId());
        // 开始时间
        vo.setStartTime(recordVo.getStartTime());
        // 结束时间
        vo.setStopTime(recordVo.getEndTime());
        // 查询条件
        vo.setSearchContent(recordVo.getCondition());
        // BeanUtils.copyProperties(recordVo,vo);
        ExperimentalTeachingDao userDao = this.getBaseMapper();
        IPage<ExperimentalTeachingEntity> list = userDao.queryExperimentalTeaching(page1, vo);
        for (int i = 0; i < list.getRecords().size(); i++) {
            Integer number = list.getRecords().get(i).getExperimentalNumber();
            Integer id = list.getRecords().get(i).getId();
            //读取另一个表，将数据更新进 tms_experimental_teaching
            int isTure = classTeachingDao.updateExperimentalNumber(number,id);
            if(isTure < 0){
                return null;
            }
        }

        PageUtils pageUtils = new PageUtils(list);
        return pageUtils;
    }

    @Override
    public PageUtils querySimulationPlayList(Integer page,Integer size){

        new BroadcastEntity().setIsdel(Constant.IsDel.NOT_DEL.getType());

        //分页对象
        Page<T> page1 = new Page<>(page, size);

        IPage<BroadcastEntity> broadcastEntity = this.classMapper.querySimulationPlayList(page1);

        PageUtils questionsPage = new PageUtils(broadcastEntity);

        return questionsPage;
    }
}
