package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.dao.AchievementManagementDao;
import com.msdw.tms.dao.ExperimentalReportDao;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.vo.AchievementManagementVO;
import com.msdw.tms.entity.vo.ExperimentalReportVo;
import com.msdw.tms.service.ExperimentalReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public class ExperimentalReportServiceImpl extends ServiceImpl<ExperimentalReportDao, ExperimentalReportEntity> implements ExperimentalReportService {

    @Autowired
    private ExperimentalReportDao reportDao;

    @Autowired
    private AchievementManagementDao achievementManagementDao;

    /**
     * 学生查看实验报告(教学)
     *
     * @param studentId
     * @param projectId
     * @param recordId
     * @param reportId
     * @return
     */
    @Override
    public R queryReport(Integer studentId, Integer projectId, Integer recordId, Integer reportId) {
        Integer systemId = reportDao.querySystemId(recordId);
        ExperimentalReportVo entity = new ExperimentalReportVo();
        entity.setRecordId(recordId).setStudentId(studentId).setProjectId(projectId).setReportId(reportId);
        ExperimentalReportVo result = reportDao.queryReport(entity);
        //python实验
        HashMap<String, Object> map = new HashMap<>();
        map.put("report", result);
        // if (systemId == 1 | systemId == 4 | systemId == 5) {
            List<AchievementManagementVO> data = achievementManagementDao.queryPythonTest(recordId);
            map.put("data", data);
            return R.ok().put("data", map);
        // }
        // return R.ok().put("data", map);
    }

    //虚拟实验
    @Override
    public R queryVirtualReport(Integer recordId) {
        ExperimentalReportVo result = reportDao.queryVirtualReport(recordId);
        Integer systemId = reportDao.querySystemId(recordId);

        //python实验
        if (systemId != 2 || systemId != 3) {
            /*if (systemId == 1 | systemId == 4 | systemId == 5) {*/
            List<AchievementManagementVO> data = achievementManagementDao.queryPythonTest(recordId);
            HashMap<String, Object> map = new HashMap<>();
            map.put("data", data);
            map.put("report", result);
            return R.ok().put("data", map);
        }

        return R.ok().put("data", result);
    }
}
