package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.dao.ClassTeachingDao;
import com.msdw.tms.dao.ExperimentalTeachingDao;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.vo.ExperimentalTeachingVO;
import com.msdw.tms.entity.vo.ProjectRecordVo;
import com.msdw.tms.service.ExperimentalTeachingService;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("experimentalTeachingService")
public class ExperimentalTeachingServiceImpl extends ServiceImpl<ExperimentalTeachingDao, ExperimentalTeachingEntity> implements ExperimentalTeachingService {

    @Autowired
    private ClassTeachingDao classTeachingDao;

    @Override
    @Transactional
    public PageUtils queryExperimentalTeaching(Integer page, Integer size, ExperimentalTeachingVO vo) {
        ProjectRecordVo recordVo = new ProjectRecordVo();
        recordVo.setStartTime(vo.getStartTime()).setEndTime(vo.getStopTime());
        classTeachingDao.updateSurplusTimeNull(recordVo);//将已结束的实验的倒计时重置为0
        classTeachingDao.updateSurplusTime(recordVo);//倒计时：设定倒计时的剩余时间
        classTeachingDao.updateSurplusTimeUp(recordVo);//
        classTeachingDao.updateSurplusTimeLe(recordVo);//将剩余时间大于30天的记录的倒计时设置为'838:00:00'，前端转为">30天"
        classTeachingDao.updateSurplusTimeGt(recordVo);//将剩余时间大于30天的记录的倒计时设置为'838:00:00'，前端转为">30天"


        Page<T> page1 = new Page<>(page, size);
        ExperimentalTeachingDao userDao = this.getBaseMapper();
        IPage<ExperimentalTeachingEntity> list = userDao.queryExperimentalTeaching(page1, vo);
        for (int i = 0; i < list.getRecords().size(); i++) {
            Integer number = list.getRecords().get(i).getExperimentalNumber();
            Integer id = list.getRecords().get(i).getId();
            //读取另一个表，将数据更新进 tms_experimental_teaching
            int isTure = classTeachingDao.updateExperimentalNumber(number,id);
            if(isTure < 0){
                return null;
            }
        }

        PageUtils pageUtils = new PageUtils(list);
        return pageUtils;
    }

    @Override
    public void deleteTeachByIds(List<Integer> asList) {
        int size = asList.size();
        for (int i = 0; i < size; i++) {
            classTeachingDao.updateIsDel(asList.get(i));
        }
    }

}
