package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.Constant;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.Query;
import com.msdw.tms.dao.ProjectDao;
import com.msdw.tms.entity.ProjectEntity;
import com.msdw.tms.service.ProjectService;
import org.springframework.stereotype.Service;

import java.util.*;


@Service("projectService")
public class ProjectServiceImpl extends ServiceImpl<ProjectDao, ProjectEntity> implements ProjectService {


    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ProjectEntity> page = this.page(
                new Query<ProjectEntity>().getPage(params),

                new QueryWrapper<ProjectEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public HashMap<Integer, ProjectEntity> list(Integer userId) {

        ProjectDao baseMapper = this.getBaseMapper();

        ProjectEntity project = new ProjectEntity().setUserid(userId)
                .setAscription(Constant.Ascription.SYSTEM.getType())
                .setProjectstate(Constant.Submit.SUBMIT.getType())
                .setIsdel(Constant.IsDel.NOT_DEL.getType());

        List<ProjectEntity> projects = new ArrayList<>();
        List<ProjectEntity> user_projects = baseMapper.getByUserId(project);
        List<ProjectEntity> sys_projects = baseMapper.querySystem(project);

        projects.addAll(0,user_projects);
        projects.addAll(0, sys_projects);

        Collections.sort(projects);

        HashMap<Integer, ProjectEntity> result = new HashMap<>();
        for (ProjectEntity pro : projects ) {
            result.put(pro.getProjectid(),pro);
        }

        return  result;
    }

}