package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.exception.ExceptionCast;
import com.msdw.tms.common.utils.Constant;
import com.msdw.tms.common.utils.FilesResult;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.dao.SignatureDao;
import com.msdw.tms.dao.UserInfoDao;
import com.msdw.tms.entity.SignatureEntity;
import com.msdw.tms.entity.response.CommonCode;
import com.msdw.tms.entity.vo.StaffVo;
import com.msdw.tms.service.SignatureService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

@Service
public class SignatureServiceImpl extends ServiceImpl<SignatureDao, SignatureEntity> implements SignatureService {

    @Autowired
    private SignatureDao signatureDao;

    @Autowired
    AliyunOssServiceImpl ossService;

    @Override
    @Transactional
    public R uploadSignature(MultipartFile file, Integer userId) throws IOException {
//        String roleIds = signatureDao.queryRoleIds(userId);
//        if (roleIds==null){
//            return R.error("不存在的角色");
//        }else if (!roleIds.contains("3")){
//            return R.error("您的身份不是老师，不能进行此操作！");
//        }
        //图片格式校验
//        String reg = ".+(.JPEG|.jpeg|.JPG|.jpg|.GIF|.gif|.BMP|.bmp|.PNG|.png)$";
//        if (StringUtils.isBlank(file.getOriginalFilename())
//                || !file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf(".")).matches(reg)) {
//            return R.error("图片格式不对！！！");
//        }
        FilesResult result = ossService.uploadFiles(file);//上传图片
        SignatureEntity entity = new SignatureEntity().setSignatureUrl(result.getFileUrl()).setSignatureName(result.getFileName()).setUserId(userId);
        this.save(entity);
        return R.ok();
    }

    @Override
    public R querySignature(Integer userId) {
        QueryWrapper<SignatureEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user_id",userId);
        List<SignatureEntity> entity = signatureDao.selectList(queryWrapper);
        return R.ok().put("data",entity);
    }

    @Override
    @Transactional
    public R daleteSignature(SignatureEntity entity) {
        Integer id = entity.getId();
        SignatureEntity result = this.getById(id);
        if (result==null){
            return R.error("不存在的图片");
        }
        ossService.deleteFile(result.getSignatureName());
        this.removeById(id);
        return R.ok();
    }
}
