package com.msdw.tms.service;

import cn.hutool.system.UserInfo;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.controller.StudentController;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.StudentVo;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

@SpringBootTest
public class StudentTest {
    @Autowired
    private StudentService studentService;

    @Autowired
    private UserInfoService userInfoService;

    /**
     * 添加学生
     */
    @Test
    public void addStudent(){
        StudentVo studentVo = new StudentVo();
        Integer a = 1;
        UserInfoEntity userInfoEntity = new UserInfoEntity();
        userInfoEntity.setAccount("123456").setUserName("michonne").setSchoolId(a);
        studentVo.setSchoolId(a).setWorkNumber("888888").setRoleId(4).setProfessionalId(1).setGradeId(1).setClassId(1);
//        studentVo.setUserInfo(userInfoEntity);
        boolean aa= studentService.saveStudent(studentVo);
        System.out.println(aa ?  "添加成功" : "添加失败");
    }

    /**
     * 学生列表
     */
    @Test
    public void queryStudent(){
        Integer schoolId = 1;
        String searchContent = "michonne";
        Integer page = 1;
        Integer size = 20;
        PageUtils pageUtils = studentService.queryStudent(schoolId,searchContent,page,size);
        System.out.println(pageUtils);
    }

    /**
     * 删除学生
     */
    @Test
    public void deleteStudent(){
//        List<Integer> studentId = {1,2};
        List<Integer> studentId = new ArrayList<>();
        studentId.add(1);
        studentId.add(2);

        boolean b = studentService.deleteStudent(studentId);
        System.out.println(b ? "删除成功" : "删除失败");
    }
}
